<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj">

    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_margin="50dp"
        android:layout_width="500dp"
        android:layout_height="700dp"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from_good"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <TextView
            android:id="@+id/makegoodtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="星星知多少奶茶"
            android:textSize="20dp"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="@dimen/dp_10">
        </TextView>

        <RelativeLayout
            android:layout_marginTop="46dp"
            android:layout_marginBottom="50dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--菜谱名称行-->
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </LinearLayout>

                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/color3" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1">
                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">
                        <!-- 商品分类 -->
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/datatab_makesx"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="10dp"/>
                    </RelativeLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_marginBottom="40dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_marginLeft="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="今日制作"
                        android:textSize="24dp"/>

                    <TextView
                        android:id="@+id/chubeiliang"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:fontFamily="cursive"
                        android:text="21"
                        android:textAlignment="center"
                        android:textColor="@color/app_color_blue"
                        android:textSize="50dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:fontFamily="cursive"
                        android:text="单"
                        android:textAlignment="viewStart"
                        android:textColor="@color/app_color_blue"
                        android:textSize="30dp"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>

        <Button
            android:layout_alignParentBottom="true"
            android:id="@+id/quzhizuo"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/bg_btn_login_selected"
            android:text="去制作"
            android:textColor="@color/white"
            android:textSize="18sp"/>
    </RelativeLayout>
</RelativeLayout>